Bug 1206381 - inactive VG remove attempt ignores a SIGINT when virt volumes are present and removes anyways with error "Giving up waiting for lock."
Summary: inactive VG remove attempt ignores a SIGINT when virt volumes are present and...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2
Version: 6.7
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: Zdenek Kabelac
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1268411
TreeView+ depends on / blocked
 
Reported: 2015-03-26 23:13 UTC by Corey Marthaler
Modified: 2016-05-11 01:16 UTC (History)
8 users (show)

Fixed In Version: lvm2-2.02.141-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-11 01:16:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0964 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2016-05-10 22:57:40 UTC

Description Corey Marthaler 2015-03-26 23:13:22 UTC
Description of problem:

[root@host-128 ~]# lvcreate  --thinpool POOL  --zero y -L 1G test
  Logical volume "POOL" created.
[root@host-128 ~]# lvcreate  --virtualsize 1G -T test/POOL -n other1
  Logical volume "other1" created.
[root@host-128 ~]# lvcreate  --virtualsize 1G -T test/POOL -n other2
  Logical volume "other2" created.
[root@host-128 ~]# lvcreate  --virtualsize 1G -T test/POOL -n other3
  Logical volume "other3" created.
[root@host-128 ~]# lvs -a -o +devices
  LV              Attr       LSize Pool Origin Data%  Meta% Devices
  POOL            twi-aotz-- 1.00g             0.00   1.27  POOL_tdata(0)
  [POOL_tdata]    Twi-ao---- 1.00g                          /dev/sda1(1)
  [POOL_tmeta]    ewi-ao---- 4.00m                          /dev/sdh1(0)
  [lvol0_pmspare] ewi------- 4.00m                          /dev/sda1(0)
  other1          Vwi-a-tz-- 1.00g POOL        0.00
  other2          Vwi-a-tz-- 1.00g POOL        0.00
  other3          Vwi-a-tz-- 1.00g POOL        0.00

# ACTIVE VG (nothing is removed)

[root@host-128 ~]# lvremove test
Removing pool "POOL" will remove 3 dependent volume(s). Proceed? [y/n]: ^C  Interrupted...
  Logical volume "POOL" not removed.
Do you really want to remove active logical volume other1? [y/n]: 
Do you really want to remove active logical volume other1? [y/n]: ^C  Interrupted...
  Logical volume other1 not removed
Do you really want to remove active logical volume other2? [y/n]: ^C  Interrupted...
  Logical volume other2 not removed
Do you really want to remove active logical volume other3? [y/n]: ^C  Interrupted...
  Logical volume other3 not removed
[root@host-128 ~]# ^C

[root@host-128 ~]# lvs -a -o +devices
  LV              Attr       LSize Pool Origin Data%  Meta% Devices
  POOL            twi-aotz-- 1.00g             0.00   1.27  POOL_tdata(0)
  [POOL_tdata]    Twi-ao---- 1.00g                          /dev/sda1(1)
  [POOL_tmeta]    ewi-ao---- 4.00m                          /dev/sdh1(0)
  [lvol0_pmspare] ewi------- 4.00m                          /dev/sda1(0)
  other1          Vwi-a-tz-- 1.00g POOL        0.00
  other2          Vwi-a-tz-- 1.00g POOL        0.00
  other3          Vwi-a-tz-- 1.00g POOL        0.00


# INACTIVE VG (all virt volumes are removed)

[root@host-128 ~]# vgchange -an test
  0 logical volume(s) in volume group "test" now active
[root@host-128 ~]# lvremove test
Removing pool "POOL" will remove 3 dependent volume(s). Proceed? [y/n]: ^C  Interrupted...

  Logical volume "POOL" not removed.
  Interrupted...
  Giving up waiting for lock.
  Interrupted...
  Giving up waiting for lock.
  Interrupted...
  Giving up waiting for lock.
  Interrupted...
  Giving up waiting for lock.
  Interrupted...
  Giving up waiting for lock.
  Interrupted...
  Giving up waiting for lock.
  Logical volume "other1" successfully removed
  Interrupted...
  Giving up waiting for lock.
  Interrupted...
  Giving up waiting for lock.
  Interrupted...
  Giving up waiting for lock.
  Interrupted...
  Giving up waiting for lock.
  Interrupted...
  Giving up waiting for lock.
  Interrupted...
  Giving up waiting for lock.
  Logical volume "other2" successfully removed
  Interrupted...
  Giving up waiting for lock.
  Interrupted...
  Giving up waiting for lock.
  Interrupted...
  Giving up waiting for lock.
  Interrupted...
  Giving up waiting for lock.
  Interrupted...
  Giving up waiting for lock.
  Interrupted...
  Giving up waiting for lock.
  Logical volume "other3" successfully removed

[root@host-128 ~]# lvs -a -o +devices
  LV              Attr       LSize Pool Origin Data%  Meta% Devices
  POOL            twi---tz-- 1.00g                          POOL_tdata(0)
  [POOL_tdata]    Twi------- 1.00g                          /dev/sda1(1)
  [POOL_tmeta]    ewi------- 4.00m                          /dev/sdh1(0)
  [lvol0_pmspare] ewi------- 4.00m                          /dev/sda1(0)


Version-Release number of selected component (if applicable):
2.6.32-546.el6.x86_64
lvm2-2.02.118-1.el6    BUILT: Tue Mar 24 08:25:21 CDT 2015
lvm2-libs-2.02.118-1.el6    BUILT: Tue Mar 24 08:25:21 CDT 2015
lvm2-cluster-2.02.118-1.el6    BUILT: Tue Mar 24 08:25:21 CDT 2015
udev-147-2.61.el6    BUILT: Mon Mar  2 05:08:11 CST 2015
device-mapper-1.02.95-1.el6    BUILT: Tue Mar 24 08:25:21 CDT 2015
device-mapper-libs-1.02.95-1.el6    BUILT: Tue Mar 24 08:25:21 CDT 2015
device-mapper-event-1.02.95-1.el6    BUILT: Tue Mar 24 08:25:21 CDT 2015
device-mapper-event-libs-1.02.95-1.el6    BUILT: Tue Mar 24 08:25:21 CDT 2015
device-mapper-persistent-data-0.3.2-1.el6    BUILT: Fri Apr  4 08:43:06 CDT 2014


How reproducible:
Everytime

Comment 4 Zdenek Kabelac 2016-01-21 12:31:27 UTC
Support for break restored with:

https://www.redhat.com/archives/lvm-devel/2016-January/msg00093.html

Hmm need to think about automated unit testing of command breaking...

Comment 6 Corey Marthaler 2016-02-19 22:49:14 UTC
Fix verified in the latest rpms.

# ACTIVE
[root@host-137 ~]# lvs -a -o +devices
  LV              VG   Attr       LSize Pool Origin Data%  Meta%  Devices
  POOL            test twi-aotz-- 1.00g             0.00   1.27   POOL_tdata(0)
  [POOL_tdata]    test Twi-ao---- 1.00g                           /dev/sda1(1)
  [POOL_tmeta]    test ewi-ao---- 4.00m                           /dev/sdh1(0)
  [lvol0_pmspare] test ewi------- 4.00m                           /dev/sda1(0)
  other1          test Vwi-a-tz-- 1.00g POOL        0.00
  other2          test Vwi-a-tz-- 1.00g POOL        0.00
  other3          test Vwi-a-tz-- 1.00g POOL        0.00

[root@host-137 ~]# lvremove test
Removing pool "POOL" will remove 3 dependent volume(s). Proceed? [y/n]: ^C  Interrupted...

  Logical volume "POOL" not removed.
  Interrupted...



# INACTIVE
[root@host-137 ~]# vgchange -an test
  0 logical volume(s) in volume group "test" now active
[root@host-137 ~]# lvremove test
Removing pool "POOL" will remove 3 dependent volume(s). Proceed? [y/n]: ^C  Interrupted...

  Logical volume "POOL" not removed.
  Interrupted...



2.6.32-615.el6.x86_64
lvm2-2.02.141-2.el6    BUILT: Wed Feb 10 07:49:03 CST 2016
lvm2-libs-2.02.141-2.el6    BUILT: Wed Feb 10 07:49:03 CST 2016
lvm2-cluster-2.02.141-2.el6    BUILT: Wed Feb 10 07:49:03 CST 2016
udev-147-2.71.el6    BUILT: Wed Feb 10 07:07:17 CST 2016
device-mapper-1.02.115-2.el6    BUILT: Wed Feb 10 07:49:03 CST 2016
device-mapper-libs-1.02.115-2.el6    BUILT: Wed Feb 10 07:49:03 CST 2016
device-mapper-event-1.02.115-2.el6    BUILT: Wed Feb 10 07:49:03 CST 2016
device-mapper-event-libs-1.02.115-2.el6    BUILT: Wed Feb 10 07:49:03 CST 2016
device-mapper-persistent-data-0.6.2-0.1.rc1.el6    BUILT: Wed Feb 10 09:52:15 CST 2016
cmirror-2.02.141-2.el6    BUILT: Wed Feb 10 07:49:03 CST 2016

Comment 8 errata-xmlrpc 2016-05-11 01:16:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0964.html


Note You need to log in before you can comment on or make changes to this bug.